<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Matemática Virtual, Ing.MSc. Fernando Carrillo & Ing.MSc. Cecilia Izurieta</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://polyfill.io/v3/polyfill.min.js?features=es6"></script>
    <script id="MathJax-script" async src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
    <style>
       
    </style>
</head>
<body>
    <?php include 'encabezado.php'; ?>
    <main>
        <?php include 'menui.php'; ?>
        <div class="container">
            <h3 >Función lineal</h3>
             <h10 >Graficar la función, determinar monotonía creciente o decreciente, dominio, recorrido, identificar el corte de la recta con los ejes coordenados y su pendiente.</h10>
            
            <div class="row">
                <?php
                $n=round($n/3)+1;

                function generarTermino($variable) {
                    $coef = rand(-10, 10);
                    if ($coef == 0) {
                        $coef = 1; // Evitar que el coeficiente sea 0
                    }
                    return ($coef == 1 && $variable != '' ? '' : $coef) . $variable;
                }

                function generarLado($variables1) {
                    $numTerminos = 1;  // Generar de 1 a 5 términos
                    $lado = generarTermino($variables1); // Asegurar que el primer término tenga variable
                    for ($i = 1; $i < $numTerminos; $i++) {
                        $signo = rand(0, 1) == 1 ? ' + ' : ' - ';
                        $lado .= $signo . abs(generarTermino(rand(0, 1) == 1 ? $variables1 : ''));
                    }
                    return $lado;
                }


                function generarTermino1($variable) {
                   
                    $sorteo = rand(1, 2);

                    if ($sorteo == 1)  {
                    $coef = rand(-10, 10);
                    }
                    else{
                    $val1 = ['\\frac{1}{5}','\\frac{1}{2}', '\\frac{1}{3}', '\\frac{2}{5}','\\frac{2}{3}','\frac{2}{7}', '\frac{2}{9}', '\frac{1}{7}','-\frac{1}{5}','-\frac{1}{2}', '-\frac{1}{3}', '-\\frac{2}{5}','-\frac{2}{3}','-\frac{2}{7}', '-\frac{2}{9}', '-\frac{1}{7}',];
                     $coef = $val1[array_rand($val1)];
                     
                    }



                    
                    
                    return $coef .$variable;
                }

                function generarLado1($variables1) {
                    $numTerminos = 1;  // Generar de 1 a 5 términos
                    $lado = generarTermino1($variables1); // Asegurar que el primer término tenga variable
                    
                    return $lado;
                }



                function generarInecuacion() {
                    $sorteo = rand(1, 2);

                    if ($sorteo==1) {
                    $val = rand(1, 10);
                    }
                    else{
                    $val1 = ['\frac{1}{2}','\frac{1}{3}', '\frac{1}{4}', '\frac{1}{5}','\frac{2}{3}','\frac{2}{5}', '\frac{2}{7}', '\frac{2}{9}','\frac{3}{4}','\frac{3}{5}', '\frac{3}{7}', '\frac{4}{5}','\frac{4}{7}','\frac{4}{9}', '\frac{5}{6}', '\frac{5}{7}'];
                    $val = $val1[array_rand($val1)];
                    }

                    //$val = rand(1, 10);
                    $variables = "x";
                    $variables1 = "y";
                    $left = "y=";
                    $right = generarLado1($variables);
                    $operator1 = ['>', '≥', '<', '≤'];
                    $var1 = $operator1[array_rand($operator1)];
                    $operator = ['+', '-'];
                    $var2 = $operator[array_rand($operator)];
                    return $left . ' '  . $right. ' '  . $var2. ' '  . $val;
                }

                for ($i = 0; $i < $n; $i++) {
                    
                    $inecuacion2 = generarInecuacion();
                    echo "<div class=' mb-6 '>";
                    echo "<div class='card'>";
                    echo "<div class='card-body'>";
                    echo "<h5 class='card-title'>Ejercicio " . ($i + 1) . "</h5>";
                    echo '\(';
                    
                    echo $inecuacion2;
                    
                    echo '\)';
                    echo "</div>";
                    echo "</div>";

                    echo "</div>";
                    echo "<br>";
                }
                 ?>
<h10 >Dado la pendiente y un punto, determinar la ecuación de la recta, graficar la función, determinar monotonía creciente o decreciente, dominio, recorrido, identificar el corte de la recta con los ejes coordenados.</h10>
<?php
                for ($i = 0; $i < $n; $i++) {
                    $sorteo = rand(1, 2);

                    if ($sorteo==1) {
                    $m = rand(-10, 10);
                    }
                    else{
                    $val1 = ['\frac{1}{2}','-\frac{1}{3}', '\frac{1}{4}', '\frac{1}{5}','\frac{2}{3}','\frac{2}{5}', '-\frac{2}{7}', '\frac{2}{9}','\frac{3}{4}','\frac{3}{5}', '-\frac{3}{7}', '\frac{4}{5}','\frac{4}{7}','-\frac{4}{9}', '\frac{5}{6}', '-\frac{5}{7}'];
                    $m = $val1[array_rand($val1)];
                    }

                    $b= rand(-10, 10);
                    
                      
                    echo "<div class=' mb-6 '>";
                    echo "<div class='card'>";
                    echo "<div class='card-body'>";
                    echo "<h5 class='card-title'>Ejercicio " . ($i + 1) . "</h5>";
                    echo '\(';
                    
                    echo "m=".$m.PHP_EOL;
                       echo '\)'; 
                        echo "<h5> </h5>";
                       echo '\(';
                    echo "p=(0,".$b.")";
                    echo '\)';
                    echo "</div>";
                    echo "</div>";

                    echo "</div>";
                    
                   

                    
                }
                ?>

                






            </div>
        </div>




    </main>
    <?php include 'subir.php'; ?>
    <script>
        MathJax.typeset();
    </script>
</body>
</html>
